Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network40.167.76.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
40.167.76.0
Broadcast address
40.167.76.255
First usable
40.167.76.1
Last usable
40.167.76.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Public public
Old class
A (default /8)
As numbers
Hex 28A74C00 · Integer 682052608 to 682052863
Reverse DNS zone
76.167.40.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101000.10100111.01001100..0000000040.167.76.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network00101000.10100111.01001100..0000000040.167.76.0
Broadcast00101000.10100111.01001100..1111111140.167.76.255
Split into smaller subnets/30

40.167.76.0/24 makes 64 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
140.167.76.0/3040.167.76.1 to 40.167.76.240.167.76.32
240.167.76.4/3040.167.76.5 to 40.167.76.640.167.76.72
340.167.76.8/3040.167.76.9 to 40.167.76.1040.167.76.112
440.167.76.12/3040.167.76.13 to 40.167.76.1440.167.76.152
540.167.76.16/3040.167.76.17 to 40.167.76.1840.167.76.192
640.167.76.20/3040.167.76.21 to 40.167.76.2240.167.76.232
740.167.76.24/3040.167.76.25 to 40.167.76.2640.167.76.272
840.167.76.28/3040.167.76.29 to 40.167.76.3040.167.76.312
940.167.76.32/3040.167.76.33 to 40.167.76.3440.167.76.352
1040.167.76.36/3040.167.76.37 to 40.167.76.3840.167.76.392
1140.167.76.40/3040.167.76.41 to 40.167.76.4240.167.76.432
1240.167.76.44/3040.167.76.45 to 40.167.76.4640.167.76.472
1340.167.76.48/3040.167.76.49 to 40.167.76.5040.167.76.512
1440.167.76.52/3040.167.76.53 to 40.167.76.5440.167.76.552
1540.167.76.56/3040.167.76.57 to 40.167.76.5840.167.76.592
1640.167.76.60/3040.167.76.61 to 40.167.76.6240.167.76.632
1740.167.76.64/3040.167.76.65 to 40.167.76.6640.167.76.672
1840.167.76.68/3040.167.76.69 to 40.167.76.7040.167.76.712
1940.167.76.72/3040.167.76.73 to 40.167.76.7440.167.76.752
2040.167.76.76/3040.167.76.77 to 40.167.76.7840.167.76.792
2140.167.76.80/3040.167.76.81 to 40.167.76.8240.167.76.832
2240.167.76.84/3040.167.76.85 to 40.167.76.8640.167.76.872
2340.167.76.88/3040.167.76.89 to 40.167.76.9040.167.76.912
2440.167.76.92/3040.167.76.93 to 40.167.76.9440.167.76.952
2540.167.76.96/3040.167.76.97 to 40.167.76.9840.167.76.992
2640.167.76.100/3040.167.76.101 to 40.167.76.10240.167.76.1032
2740.167.76.104/3040.167.76.105 to 40.167.76.10640.167.76.1072
2840.167.76.108/3040.167.76.109 to 40.167.76.11040.167.76.1112
2940.167.76.112/3040.167.76.113 to 40.167.76.11440.167.76.1152
3040.167.76.116/3040.167.76.117 to 40.167.76.11840.167.76.1192
3140.167.76.120/3040.167.76.121 to 40.167.76.12240.167.76.1232
3240.167.76.124/3040.167.76.125 to 40.167.76.12640.167.76.1272
3340.167.76.128/3040.167.76.129 to 40.167.76.13040.167.76.1312
3440.167.76.132/3040.167.76.133 to 40.167.76.13440.167.76.1352
3540.167.76.136/3040.167.76.137 to 40.167.76.13840.167.76.1392
3640.167.76.140/3040.167.76.141 to 40.167.76.14240.167.76.1432
3740.167.76.144/3040.167.76.145 to 40.167.76.14640.167.76.1472
3840.167.76.148/3040.167.76.149 to 40.167.76.15040.167.76.1512
3940.167.76.152/3040.167.76.153 to 40.167.76.15440.167.76.1552
4040.167.76.156/3040.167.76.157 to 40.167.76.15840.167.76.1592
4140.167.76.160/3040.167.76.161 to 40.167.76.16240.167.76.1632
4240.167.76.164/3040.167.76.165 to 40.167.76.16640.167.76.1672
4340.167.76.168/3040.167.76.169 to 40.167.76.17040.167.76.1712
4440.167.76.172/3040.167.76.173 to 40.167.76.17440.167.76.1752
4540.167.76.176/3040.167.76.177 to 40.167.76.17840.167.76.1792
4640.167.76.180/3040.167.76.181 to 40.167.76.18240.167.76.1832
4740.167.76.184/3040.167.76.185 to 40.167.76.18640.167.76.1872
4840.167.76.188/3040.167.76.189 to 40.167.76.19040.167.76.1912
4940.167.76.192/3040.167.76.193 to 40.167.76.19440.167.76.1952
5040.167.76.196/3040.167.76.197 to 40.167.76.19840.167.76.1992
5140.167.76.200/3040.167.76.201 to 40.167.76.20240.167.76.2032
5240.167.76.204/3040.167.76.205 to 40.167.76.20640.167.76.2072
5340.167.76.208/3040.167.76.209 to 40.167.76.21040.167.76.2112
5440.167.76.212/3040.167.76.213 to 40.167.76.21440.167.76.2152
5540.167.76.216/3040.167.76.217 to 40.167.76.21840.167.76.2192
5640.167.76.220/3040.167.76.221 to 40.167.76.22240.167.76.2232
5740.167.76.224/3040.167.76.225 to 40.167.76.22640.167.76.2272
5840.167.76.228/3040.167.76.229 to 40.167.76.23040.167.76.2312
5940.167.76.232/3040.167.76.233 to 40.167.76.23440.167.76.2352
6040.167.76.236/3040.167.76.237 to 40.167.76.23840.167.76.2392
6140.167.76.240/3040.167.76.241 to 40.167.76.24240.167.76.2432
6240.167.76.244/3040.167.76.245 to 40.167.76.24640.167.76.2472
6340.167.76.248/3040.167.76.249 to 40.167.76.25040.167.76.2512
6440.167.76.252/3040.167.76.253 to 40.167.76.25440.167.76.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses